//--------------------------------------------------------------------------------------------------
//
// Title       : U4 TestBench
// Design      : U21
// Author      : SJensen
// Company     : MBARI
//
//-------------------------------------------------------------------------------------------------
//
// File        : c:\Projects\genosensor\2g\CPLDs\Core\U21\compile\U21_TB_tsim.v
// Generated   : Tue Mar 30 07:39:07 2004
// From        : c:\Projects\genosensor\2g\CPLDs\Core\U21\src\U21_TB_tsim.bde
// By          : Bde2Verilog ver. 2.01
//
//-------------------------------------------------------------------------------------------------
//
// Description : 
//
//-------------------------------------------------------------------------------------------------

// synopsys translate_off
`ifdef _VCP
`else
`define library(a,b)
`endif
// synopsys translate_on


// ---------- Design Unit Header ---------- //
`timescale 1ns / 1ns

module U21_TB_tsim (Brake1,Brake2,DIR1,DIR2,Enc133FLG,Enc15FLG,Enc233FLG,Enc25FLG,FLS1,FLS2,
Home1,Home133FLG,Home15FLG,Home2,Home233FLG,Home25FLG,PWM1,PWM2,PhaseA_Encoder1,PhaseA_Encoder2,
PhaseB_Encoder1,PhaseB_Encoder2,RLS1,RLS2,Reset,SCLinc,SCLreset,Enc133ctrl,Enc15ctrl,Enc233ctrl,
Enc25ctrl,Home133ctrl,Home15ctrl,Home233ctrl,Home25ctrl,INT,LED1,LED2,LED3,LED4,
LED5,MTRpwr,MTRpwrn,PAH1,PAH2,PAL1,PAL2,PBH1,PBH2,PBL1,
PBL2,SCL) ;

// ------------ Port declarations --------- //
input Brake1;
wire Brake1;
input Brake2;
wire Brake2;
input DIR1;
wire DIR1;
input DIR2;
wire DIR2;
input Enc133FLG;
wire Enc133FLG;
input Enc15FLG;
wire Enc15FLG;
input Enc233FLG;
wire Enc233FLG;
input Enc25FLG;
wire Enc25FLG;
input FLS1;
wire FLS1;
input FLS2;
wire FLS2;
input Home1;
wire Home1;
input Home133FLG;
wire Home133FLG;
input Home15FLG;
wire Home15FLG;
input Home2;
wire Home2;
input Home233FLG;
wire Home233FLG;
input Home25FLG;
wire Home25FLG;
input PWM1;
wire PWM1;
input PWM2;
wire PWM2;
input PhaseA_Encoder1;
wire PhaseA_Encoder1;
input PhaseA_Encoder2;
wire PhaseA_Encoder2;
input PhaseB_Encoder1;
wire PhaseB_Encoder1;
input PhaseB_Encoder2;
wire PhaseB_Encoder2;
input RLS1;
wire RLS1;
input RLS2;
wire RLS2;
input Reset;
wire Reset;
input SCLinc;
wire SCLinc;
input SCLreset;
wire SCLreset;
output Enc133ctrl;
wire Enc133ctrl;
output Enc15ctrl;
wire Enc15ctrl;
output Enc233ctrl;
wire Enc233ctrl;
output Enc25ctrl;
wire Enc25ctrl;
output Home133ctrl;
wire Home133ctrl;
output Home15ctrl;
wire Home15ctrl;
output Home233ctrl;
wire Home233ctrl;
output Home25ctrl;
wire Home25ctrl;
output INT;
wire INT;
output LED1;
wire LED1;
output LED2;
wire LED2;
output LED3;
wire LED3;
output LED4;
wire LED4;
output LED5;
wire LED5;
output MTRpwr;
wire MTRpwr;
output MTRpwrn;
wire MTRpwrn;
output PAH1;
wire PAH1;
output PAH2;
wire PAH2;
output PAL1;
wire PAL1;
output PAL2;
wire PAL2;
output PBH1;
wire PBH1;
output PBH2;
wire PBH2;
output PBL1;
wire PBL1;
output PBL2;
wire PBL2;
inout SCL;
wor SCL;

// ----------------- Constants ------------ //
parameter DANGLING_INPUT_CONSTANT = 1'bZ;

// ----------- Signal declarations -------- //
wire AS;
wire Mclk;
wire RD;
wire WR;
wire [7:0] AD;

// ---- Declaration for Dangling inputs ----//
wire Dangling_Input_Signal = DANGLING_INPUT_CONSTANT;

// -------- Component instantiations -------//

U21 U1
(
	.AD(AD),
	.AS(AS),
	.Brake0(Brake1),
	.Brake1(Brake2),
	.DIR0(DIR1),
	.DIR1(DIR2),
	.Enc033FLG(Enc133FLG),
	.Enc033ctrl(Enc133ctrl),
	.Enc05FLG(Enc15FLG),
	.Enc05ctrl(Enc15ctrl),
	.Enc133FLG(Enc233FLG),
	.Enc133ctrl(Enc233ctrl),
	.Enc15FLG(Enc25FLG),
	.Enc15ctrl(Enc25ctrl),
	.FLS0(FLS1),
	.FLS1(FLS2),
	.GP_Motor0_0(Dangling_Input_Signal),
	.GP_Motor1_0(Dangling_Input_Signal),
	.HSI(Dangling_Input_Signal),
	.Home0(Home1),
	.Home033FLG(Home133FLG),
	.Home033ctrl(Home133ctrl),
	.Home05FLG(Home15FLG),
	.Home05ctrl(Home15ctrl),
	.Home1(Home2),
	.Home133FLG(Home233FLG),
	.Home133ctrl(Home233ctrl),
	.Home15FLG(Home25FLG),
	.Home15ctrl(Home25ctrl),
	.I2CS({6{Dangling_Input_Signal}}),
	.INT(INT),
	.INTbus(Dangling_Input_Signal),
	.LED1(LED1),
	.LED2(LED2),
	.LED3(LED3),
	.LED4(LED4),
	.LED5(LED5),
	.LightSense(Dangling_Input_Signal),
	.MHSO(Dangling_Input_Signal),
	.MTRpwr(MTRpwr),
	.MTRpwrn(MTRpwrn),
	.Mclk(Mclk),
	.PAH0(PAH1),
	.PAH1(PAH2),
	.PAL0(PAL1),
	.PAL1(PAL2),
	.PBH0(PBH1),
	.PBH1(PBH2),
	.PBL0(PBL1),
	.PBL1(PBL2),
	.PWM1(PWM1),
	.PWM2(PWM2),
	.PhaseA_Encoder0(PhaseA_Encoder1),
	.PhaseA_Encoder1(PhaseA_Encoder2),
	.PhaseB_Encoder0(PhaseB_Encoder1),
	.PhaseB_Encoder1(PhaseB_Encoder2),
	.RD(RD),
	.RLS0(RLS1),
	.RLS1(RLS2),
	.Reset(Reset),
	.SCL(SCL),
	.SCLinc(SCLinc),
	.SCLreset(SCLreset),
	.TXI(Dangling_Input_Signal),
	.WR(WR)
);



MSP U2
(
	.AD(AD),
	.AS(AS),
	.Mclk(Mclk),
	.RD(RD),
	.WR(WR)
);



endmodule 
